Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#63067 - [gdc] 8.2.1 broken?

Attached to Project: Community Packages
Opened by Simon Perry (pezz) - Tuesday, 02 July 2019, 00:56 GMT
Last edited by Filipe Laíns (FFY00) - Thursday, 07 November 2019, 00:42 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Filipe Laíns (FFY00)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:

Hi there,

I found this older bug and wonder if the same thing is wrong now:

https://bugs.archlinux.org/task/59968

Any advice appreciated.

Additional info:
* package version(s)
gcc 9.1.0-2
gdc 8.2.1+2.068.2-2
libgphobos 8.2.1+2.068.2-2

Steps to reproduce:

% cat hello.d
import std.stdio;

void main()
{
writeln("Hello, world!");
}

% gdc hello.d
gdc: fatal error: -fuse-linker-plugin, but liblto_plugin.so not found
This task depends upon

Closed by  Filipe Laíns (FFY00)
Thursday, 07 November 2019, 00:42 GMT
Reason for closing:  Deferred
Comment by Bartłomiej Piotrowski (Barthalion) - Tuesday, 05 November 2019, 07:28 GMT
gdc should be dropped from repositories. There's gcc-d now.

Loading...